Mapas de calor
GET https://hootmaps.com/api/heatmaps/
curl --request GET \
--url 'https://hootmaps.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Opcional Entero | |
| user_id | Opcional Entero | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
| search | Opcional Traduzca, pero evite devolver puntos finales: Cadena | La cadena de búsqueda |
| search_by | Opcional Traduzca, pero evite devolver puntos finales: Cadena | En qué campo estás buscando. Los valores permitidos son: name, path |
| datetime_field | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Campo por el cual ordenar los resultados. Los valores permitidos son: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime |
| order_type | Opcional Traduzca, pero evite devolver puntos finales: Cadena | El ordenamiento de los resultados. Los valores permitidos son: ASC para ordenamiento ascendente y DESC para ordenamiento descendente |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1 |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-13 06:04:07",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://hootmaps.com/api/heatmaps?page=1",
"last": "https://hootmaps.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://hootmaps.com/api/heatmaps?page=1"
}
}
GET https://hootmaps.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-13 06:04:07",
"last_datetime": null
}
}
GET https://hootmaps.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| snapshot_type | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Valores permitidos: desktop, tablet, mobile |
| type | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Valores permitidos: clicks, scrolls |
| start_date | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Fecha de inicio en formato Y-m-d |
| end_date | Opcional Traduzca, pero evite devolver puntos finales: Cadena | Fecha de finalización en formato Y-m-d |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://hootmaps.com/api/heatmaps
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Requerido Entero | |
| name | Requerido Traduzca, pero evite devolver puntos finales: Cadena | |
| path | Opcional Traduzca, pero evite devolver puntos finales: Cadena | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
curl --request POST \
--url 'https://hootmaps.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://hootmaps.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-13 06:04:07",
"last_datetime": null
}
}
POST https://hootmaps.com/api/heatmaps/{heatmap_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Traduzca, pero evite devolver puntos finales: Cadena | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
curl --request POST \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-13 06:04:07",
"last_datetime": "2026-09-13 06:04:07"
}
}
DELETE https://hootmaps.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \